﻿''' <summary>
''' 鍵設定パラメータ
''' </summary>
''' <remarks></remarks>
Public Class KeyParameter

    ''' <summary>現在のリビジョン</summary>
    Public Shared ReadOnly NOW_REVISION As Integer = 1

    ''' <summary>リビジョン</summary>
    <Xml.Serialization.XmlAttribute>
    Public Revision As Integer = 0 '※インスタンス時には最新番号の代入が必須。初期値が0なのは、記載されていないファイルをRev.0として扱うため。

    ''' <summary>
    ''' ダイヤル
    ''' </summary>
    ''' <value></value>
    ''' <returns></returns>
    ''' <remarks></remarks>
    <System.Xml.Serialization.XmlElement("ダイヤル")>
    Public Property Dial As String = ""

    ''' <summary>
    ''' 合言葉
    ''' </summary>
    ''' <value></value>
    ''' <returns></returns>
    ''' <remarks></remarks>
    <System.Xml.Serialization.XmlElement("合言葉")>
    Public Property Password As String = ""

    ''' <summary>
    ''' 鍵が設定済みか確認する。
    ''' </summary>
    ''' <returns></returns>
    ''' <remarks></remarks>
    Public Function Exists() As Boolean

        Return (Dial & Password <> "")

    End Function

End Class
