﻿''' <summary>
''' 変更イベント付きBoolean型
''' </summary>
''' <remarks></remarks>
Public Class BooleanWithEvent

    ''' <summary>
    ''' 値が変わった
    ''' </summary>
    ''' <param name="sender"></param>
    ''' <param name="e"></param>
    ''' <remarks></remarks>
    Public Event Changed(sender As System.Object, e As System.EventArgs)



    '============================================================================================



    Private _Value As Boolean

    ''' <summary>
    ''' 値
    ''' </summary>
    ''' <value></value>
    ''' <returns></returns>
    ''' <remarks></remarks>
    Public Property Value As Boolean

        Get

            Return _Value

        End Get

        Set(value As Boolean)

            If _Value <> value Then
                _Value = value
                RaiseEvent Changed(Me, New EventArgs)
            End If

        End Set

    End Property



    '============================================================================================



    ''' <summary>
    ''' コンストラクタ
    ''' </summary>
    ''' <param name="Initialize">初期値</param>
    ''' <remarks></remarks>
    Public Sub New(Initialize As Boolean)

        _Value = Initialize

    End Sub

End Class